export const any = {
  precedence: 'atom',
  pattern: '.'
};
export const digit = {
  precedence: 'atom',
  pattern: '\\d',
  chars: ['\\d']
};
export const nonDigit = {
  precedence: 'atom',
  pattern: '\\D',
  chars: ['\\D']
};
export const word = {
  precedence: 'atom',
  pattern: '\\w',
  chars: ['\\w']
};
export const nonWord = {
  precedence: 'atom',
  pattern: '\\W',
  chars: ['\\W']
};
export const whitespace = {
  precedence: 'atom',
  pattern: '\\s',
  chars: ['\\s']
};
export const nonWhitespace = {
  precedence: 'atom',
  pattern: '\\S',
  chars: ['\\S']
};
export const notDigit = nonDigit;
export const notWord = nonWord;
export const notWhitespace = nonWhitespace;
export function char(codePoint) {
  if (!Number.isInteger(codePoint) || codePoint < 0 || codePoint > 0x10ffff) {
    throw new RangeError(`Expected a valid unicode code point but received ${codePoint}`);
  }
  let escape = codePoint < 0x10000 ? `\\u${codePoint.toString(16).padStart(4, '0')}` : `\\u{${codePoint.toString(16)}}`;
  return {
    precedence: 'atom',
    pattern: escape,
    chars: [escape]
  };
}
export function unicodeProperty(property, value) {
  const escape = `\\p{${property}${value ? `=${value}` : ''}}`;
  return {
    precedence: 'atom',
    pattern: escape,
    chars: [escape]
  };
}
//# sourceMappingURL=char-escape.mjs.map